Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| GWT 2.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.gwt.dom.client
Class ImageElement

    java.lang.Object
      com.google.gwt.core.client.JavaScriptObject
          com.google.gwt.dom.client.Node
              com.google.gwt.dom.client.Element
                  com.google.gwt.dom.client.ImageElement

    @TagName(value="img")
    public class ImageElement

extends Element

Embedded image.

See Also:
  W3C HTML Specification

Field Summary

Fields inherited from class com.google.gwt.dom.client.Element
`DRAGGABLE_AUTO, DRAGGABLE_FALSE, DRAGGABLE_TRUE`

Fields inherited from class com.google.gwt.dom.client.Node
`DOCUMENT_NODE, ELEMENT_NODE, TEXT_NODE`

Constructor Summary
`protected` | `ImageElement()`

Method Summary
`static ImageElement` | `as(Element elem)` Assert that the given `Element` is compatible with this class and automatically typecast it.
`java.lang.String` | `getAlt()` Alternate text for user agents not rendering the normal content of this element.
`int` | `getHeight()` Height of the image in pixels.
`java.lang.String` | `getSrc()` URI designating the source of this image.
`int` | `getWidth()` The width of the image in pixels.
`boolean` | `isMap()` Use server-side image map.
`void` | `setAlt(java.lang.String alt)` Alternate text for user agents not rendering the normal content of this element.
`void` | `setHeight(int height)` Height of the image in pixels.
`void` | `setIsMap(boolean isMap)` Use server-side image map.
`void` | `setSrc(java.lang.String src)` URI designating the source of this image.
`void` | `setUseMap(boolean useMap)` Use client-side image map.
`void` | `setWidth(int width)` The width of the image in pixels.
`boolean` | `useMap()` Use client-side image map.

Methods inherited from class com.google.gwt.dom.client.Element
`addClassName, as, as, blur, dispatchEvent, focus, getAbsoluteBottom, getAbsoluteLeft, getAbsoluteRight, getAbsoluteTop, getAttribute, getClassName, getClientHeight, getClientWidth, getDir, getDraggable, getElementsByTagName, getFirstChildElement, getId, getInnerHTML, getInnerText, getLang, getNextSiblingElement, getOffsetHeight, getOffsetLeft, getOffsetParent, getOffsetTop, getOffsetWidth, getPropertyBoolean, getPropertyDouble, getPropertyInt, getPropertyJSO, getPropertyObject, getPropertyString, getScrollHeight, getScrollLeft, getScrollTop, getScrollWidth, getString, getStyle, getTabIndex, getTagName, getTitle, hasAttribute, hasTagName, is, is, removeAttribute, removeClassName, replaceClassName, scrollIntoView, setAttribute, setClassName, setDir, setDraggable, setId, setInnerHTML, setInnerText, setLang, setPropertyBoolean, setPropertyDouble, setPropertyInt, setPropertyJSO, setPropertyObject, setPropertyString, setScrollLeft, setScrollTop, setTabIndex, setTitle`

Methods inherited from class com.google.gwt.dom.client.Node
`appendChild, cloneNode, getChild, getChildCount, getChildNodes, getFirstChild, getLastChild, getNextSibling, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentElement, getParentNode, getPreviousSibling, hasChildNodes, hasParentElement, insertAfter, insertBefore, insertFirst, isOrHasChild, removeChild, removeFromParent, replaceChild, setNodeValue`

Methods inherited from class com.google.gwt.core.client.JavaScriptObject
`cast, createArray, createFunction, createObject, equals, hashCode, toSource, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ImageElement

    protected ImageElement()

Method Detail

### as

    public static ImageElement as(Element elem)

  Assert that the given `Element` is compatible with this class and automatically typecast it.

### getAlt

    public final java.lang.String getAlt()

  Alternate text for user agents not rendering the normal content of this element.

  See Also:
    W3C HTML Specification

### getHeight

    public final int getHeight()

  Height of the image in pixels.

  See Also:
    W3C HTML Specification

### getSrc

    public final java.lang.String getSrc()

  URI designating the source of this image.

  See Also:
    W3C HTML Specification

### getWidth

    public final int getWidth()

  The width of the image in pixels.

  See Also:
    W3C HTML Specification

### isMap

    public final boolean isMap()

  Use server-side image map.

  See Also:
    W3C HTML Specification

### setAlt

    public final void setAlt(java.lang.String alt)

  Alternate text for user agents not rendering the normal content of this element.

  See Also:
    W3C HTML Specification

### setHeight

    public final void setHeight(int height)

  Height of the image in pixels.

  See Also:
    W3C HTML Specification

### setIsMap

    public final void setIsMap(boolean isMap)

  Use server-side image map.

  See Also:
    W3C HTML Specification

### setSrc

    public final void setSrc(java.lang.String src)

  URI designating the source of this image.

  If you `Node.cloneNode(boolean)` an `ImageElement`, or an element that contains an `ImageElement`, then you must call `setSrc(String)` on the cloned element to ensure it is loaded properly in IE6. Failure to do so may cause performance problems, or your image may not load due to an IE6 specific workaround.

  See Also:
    W3C HTML Specification

### setUseMap

    public final void setUseMap(boolean useMap)

  Use client-side image map.

  See Also:
    W3C HTML Specification

### setWidth

    public final void setWidth(int width)

  The width of the image in pixels.

  See Also:
    W3C HTML Specification

### useMap

    public final boolean useMap()

  Use client-side image map.

  See Also:
    W3C HTML Specification

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| GWT 2.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD